File: changelog

package info (click to toggle)
objenesis 3.0.1-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 1,108 kB
  • sloc: java: 3,866; xml: 1,546; sh: 81; jsp: 67; makefile: 2
file content (168 lines) | stat: -rw-r--r-- 5,613 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
objenesis (3.0.1-2) unstable; urgency=medium

  * Ignore surefire test failures. (Closes: #911980)

 -- Markus Koschany <apo@debian.org>  Sun, 28 Oct 2018 13:39:09 +0100

objenesis (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Oct 2018 15:36:41 +0200

objenesis (3.0-1) unstable; urgency=medium

  * New upstream version 3.0.
  * Drop all patches. They were merged upstream.

 -- Markus Koschany <apo@debian.org>  Fri, 12 Oct 2018 22:10:39 +0200

objenesis (2.6-3) unstable; urgency=medium

  * Team upload.
  * Disabled the ClassDefinitionUtils.defineClass() method (which is never
    used in Debian) to work around the build failure with Java 11
    (Closes: #909258)
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 13:31:41 +0200

objenesis (2.6-2) unstable; urgency=medium

  * Team upload.
  * Fixed the test failure with Java 10 (Closes: #898839)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 May 2018 15:06:21 +0200

objenesis (2.6-1) unstable; urgency=medium

  [ tony mancill ]
  * Remove Gabriele Giacone from Uploaders (Closes: #856767)

  [ Markus Koschany ]
  * New upstream version 2.6.
    - Repack the tarball and remove a prebuilt jar file.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Jun 2017 16:36:28 +0200

objenesis (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1.
  * Switch to compat level 10.
  * Build-depend on libmaven-bundle-plugin-java.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Jan 2017 11:54:46 +0100

objenesis (2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.4.
  * Switch back to maven-debian-helper.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Thu, 26 May 2016 22:34:44 +0200

objenesis (2.3-2) unstable; urgency=medium

  * debian/watch: track new releases at github.com.
  * Readd parent pom for objenesis 2.3 which was absent from the
    original tarball provided at objenesis.org. (Closes: #824587)

 -- Markus Koschany <apo@debian.org>  Tue, 17 May 2016 22:30:31 +0200

objenesis (2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.3.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * debian/watch: Use version=4
  * The build system changed from Maven to nothing. Use javahelper and
    maven-repo-helper to fix that.
  * Add debian/pom.xml.
  * Use libobjenesis-java-doc.javadoc to install the documentation.
  * Update debian/copyright for new release.
  * Add README.source.

 -- Markus Koschany <apo@debian.org>  Mon, 16 May 2016 17:43:50 +0200

objenesis (2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2.
  * get-orig-source: Add --download-current-version option.
  * Move all build-dependencies to Build-Depends.
  * Update my e-mail address.
  * debian/copyright: Fix path to BEA licensed file.
  * Vcs-Browser: Use https.
  * Switch from cdbs to dh sequencer.
  * Update debian/watch file. Thanks to Bart Martens.

 -- Markus Koschany <apo@debian.org>  Mon, 14 Dec 2015 23:09:24 +0100

objenesis (2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Tue, 28 Apr 2015 23:31:47 +0200

objenesis (2.1-1) experimental; urgency=medium

  * Imported Upstream version 2.1
  * Add myself to Uploaders.
  * Update watch file. The objenesis project moved to Github.
    Drop orig-tar.sh. The sources are pristine now.
  * Update debian/copyright for new release.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Use canonical Vcs address.
  * Declare compliance with Debian Policy 3.9.6.
  * Drop maven.cleanIgnoreRules and maven.publishedRules because they are
    unused.
  * Drop README.source. The sources are pristine now.
  * Build-depend on junit4 instead of junit.
  * Add maven-release-plugin to maven.ignoreRules.
  * Add maven-license-plugin to maven.ignoreRules.
  * Update maven rule for junit4.

 -- Markus Koschany <apo@gambaru.de>  Tue, 25 Nov 2014 22:32:47 +0100

objenesis (1.2+full-3) unstable; urgency=low

  * Team upload.
  * Apply patch from Ilya Barygin to fix encoding issue
    with Java7.  (Closes: #678164, LP: #888987)

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Jun 2012 19:55:59 +0200

objenesis (1.2+full-2) unstable; urgency=low

  * Team upload
  * Apply patch from Moritz Mühlenhoff <muehlenhoff@univention.de>
    to install objenesis jar in /usr/share/java (Closes: #667000)
  * d/libobjenensis-java.poms: ignore tck module
  * d/copyright: update to spec 1.0, fix Source to indicate correct location
  * remove patch to ignore tck module, as d/libobjenensis-java.poms
    configuration takes care of this issue already.
  * d/control: update Standards-Version: 3.9.3, no change.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 07 Apr 2012 00:43:35 +0200

objenesis (1.2+full-1) unstable; urgency=low

  * Team upload
  * Remove Java runtime from Depends.
  * Update Standards-Version: 3.9.2.
  * Download full upstream source code from upstream's svn repository.
  * Use Maven to build the package.
  * Do not build the tck module because of missing dependencies.

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Sep 2011 21:47:10 +0200

objenesis (1.2-1) unstable; urgency=low

  * Initial release. (Closes: #573812)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 14 Mar 2010 03:37:49 +0100